import { SvelteComponent } from "svelte";
import type { HTMLAttributes } from 'svelte/elements';
import { type Snippet } from 'svelte';
export type Props = HTMLAttributes<HTMLElement> & Omit<CreateAccordionProps, 'value'> & {
    value?: string | string[];
    children?: Snippet;
};
import { type CreateAccordionProps } from '@melt-ui/svelte';
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type AccordionProps = typeof __propDef.props;
export type AccordionEvents = typeof __propDef.events;
export type AccordionSlots = typeof __propDef.slots;
export default class Accordion extends SvelteComponent<AccordionProps, AccordionEvents, AccordionSlots> {
}
export {};
