import { SvelteComponent } from "svelte";
import type { Snippet } from 'svelte';
import type { HTMLButtonAttributes } from 'svelte/elements';
export type Props = HTMLButtonAttributes & {
    kind?: 'base' | 'positive' | 'negative' | 'link';
    inline?: boolean;
    dense?: boolean;
    small?: boolean;
    icon?: Snippet | string;
    iconPosition?: 'left' | 'right';
    processing?: boolean;
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type ButtonProps = typeof __propDef.props;
export type ButtonEvents = typeof __propDef.events;
export type ButtonSlots = typeof __propDef.slots;
export default class Button extends SvelteComponent<ButtonProps, ButtonEvents, ButtonSlots> {
}
export {};
