import { SvelteComponent } from "svelte";
export type CodeSnippetProps = {
    bordered?: boolean;
    header?: string | Snippet<[]>;
    icon?: true | 'windows' | 'url';
    numbered?: boolean;
    stacked?: boolean;
    wrapped?: boolean;
    dropdowns?: Snippet;
    children: Snippet;
    footer?: Snippet;
};
import type { Snippet } from 'svelte';
declare const __propDef: {
    props: CodeSnippetProps;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
type CodeSnippetProps_ = typeof __propDef.props;
export type CodeSnippetEvents = typeof __propDef.events;
export type CodeSnippetSlots = typeof __propDef.slots;
export default class CodeSnippet extends SvelteComponent<CodeSnippetProps_, CodeSnippetEvents, CodeSnippetSlots> {
}
export {};
