import { SvelteComponent } from "svelte";
import { type CreateContextSubmenuProps } from '@melt-ui/svelte';
import { type Snippet } from 'svelte';
import type { HTMLAttributes } from 'svelte/elements';
export type Props = HTMLAttributes<HTMLSpanElement> & Omit<CreateContextSubmenuProps, 'open'> & {
    trigger: string | Snippet;
    open?: boolean;
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type SubMenuProps = typeof __propDef.props;
export type SubMenuEvents = typeof __propDef.events;
export type SubMenuSlots = typeof __propDef.slots;
export default class SubMenu extends SvelteComponent<SubMenuProps, SubMenuEvents, SubMenuSlots> {
}
export {};
