import { SvelteComponent } from "svelte";
import type { HTMLInputAttributes } from 'svelte/elements';
import type { Snippet } from 'svelte';
export type Props = HTMLInputAttributes & {
    children?: Snippet;
    type?: 'inline' | 'heading';
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type CheckboxProps = typeof __propDef.props;
export type CheckboxEvents = typeof __propDef.events;
export type CheckboxSlots = typeof __propDef.slots;
export default class Checkbox extends SvelteComponent<CheckboxProps, CheckboxEvents, CheckboxSlots> {
}
export {};
