import { SvelteComponent } from "svelte";
import type { HTMLInputAttributes } from 'svelte/elements';
import type { BaseFormGroupProps } from './FormGroup.svelte';
export type Props = BaseFormGroupProps<HTMLInputAttributes & {
    groupClass?: string;
    dense?: boolean;
    showLabel?: string;
    hideLabel?: string;
}>;
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type PasswordInputProps = typeof __propDef.props;
export type PasswordInputEvents = typeof __propDef.events;
export type PasswordInputSlots = typeof __propDef.slots;
export default class PasswordInput extends SvelteComponent<PasswordInputProps, PasswordInputEvents, PasswordInputSlots> {
}
export {};
