import { SvelteComponent } from "svelte";
import type { HTMLTextareaAttributes } from 'svelte/elements';
import type { BaseFormGroupProps } from './FormGroup.svelte';
export type Props = BaseFormGroupProps<HTMLTextareaAttributes & {
    groupClass?: string;
    dense?: boolean;
}>;
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type TextAreaProps = typeof __propDef.props;
export type TextAreaEvents = typeof __propDef.events;
export type TextAreaSlots = typeof __propDef.slots;
export default class TextArea extends SvelteComponent<TextAreaProps, TextAreaEvents, TextAreaSlots> {
}
export {};
