import { SvelteComponent } from "svelte";
import type { HTMLAttributes } from 'svelte/elements';
export type IconName = 'plus' | 'minus' | 'expand' | 'collapse' | 'spinner' | 'drag' | 'close' | 'help' | 'delete' | 'external-link' | 'chevron-down' | 'chevron-left' | 'chevron-right' | 'chevron-up' | 'menu' | 'code' | 'copy' | 'search' | 'share' | 'user' | 'anchor' | 'show' | 'hide' | 'error-grey' | 'success-grey' | 'error' | 'warning' | 'success' | 'info' | 'facebook' | 'instagram' | 'twitter' | 'linkedin' | 'youtube' | 'github' | 'rss' | 'email' | 'applications' | 'controllers' | 'fullscreen' | 'models' | 'machines' | 'pin' | 'units' | 'priority-critical' | 'priority-high' | 'priority-low' | 'priority-medium' | 'priority-negligible' | 'priority-unknown' | 'add-canvas' | 'add-logical-volume' | 'add-partition' | 'back-to-top' | 'begin-downloading' | 'bundle' | 'canvas' | 'change-version' | 'comments' | 'conflict-grey' | 'conflict-resolution-grey' | 'conflict-resolution' | 'conflict' | 'connected' | 'containers' | 'copy-to-clipboard' | 'desktop' | 'disconnect' | 'edit' | 'export' | 'exposed' | 'filter' | 'fork' | 'get-link' | 'halfscreen-bar' | 'highlight-off' | 'highlight-on' | 'home' | 'import' | 'in-progress' | 'inspector-debug' | 'loading-steps' | 'lock-locked-active' | 'lock-locked' | 'lock-unlock' | 'maximise-bar' | 'minimise-bar' | 'mount-2' | 'mount' | 'open-terminal' | 'pause' | 'plans' | 'play' | 'pods' | 'power-error' | 'power-off' | 'power-on' | 'profile' | 'restart' | 'revisions' | 'security' | 'settings' | 'sort-both' | 'sort-down' | 'sort-up' | 'starred' | 'status-failed-small' | 'status-in-progress-small' | 'status-in-progress' | 'status-queued-small' | 'status-queued' | 'status-succeeded-small' | 'status-waiting-small' | 'status-waiting' | 'status' | 'stop' | 'submit-bug' | 'switcher-dashboard' | 'switcher-environments' | 'switcher' | 'tag' | 'task-outstanding' | 'timed-out-grey' | 'timed-out' | 'topic' | 'unit-pending' | 'unit-running' | 'unmount' | 'unstarred' | 'user-group' | 'video-play' | 'warning-grey';
export type Props = HTMLAttributes<HTMLElement> & {
    name: IconName | (string & {});
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type IconProps = typeof __propDef.props;
export type IconEvents = typeof __propDef.events;
export type IconSlots = typeof __propDef.slots;
export default class Icon extends SvelteComponent<IconProps, IconEvents, IconSlots> {
}
export {};
