import { SvelteComponent } from "svelte";
import type { Snippet } from 'svelte';
import type { HTMLAnchorAttributes, HTMLAttributes } from 'svelte/elements';
import type { Nullable } from 'vitest';
export type Props = Omit<HTMLAttributes<HTMLLIElement>, 'title'> & Nullable<Pick<HTMLAnchorAttributes, 'href' | 'hreflang' | 'target' | 'download' | 'media' | 'ping' | 'rel' | 'type' | 'referrerpolicy'>> & {
    image: string;
    alt: string;
    title: string | Snippet<[]>;
};
declare const __propDef: {
    props: Omit<HTMLAttributes<HTMLLIElement>, "title"> & Pick<HTMLAnchorAttributes, "download" | "href" | "hreflang" | "media" | "ping" | "rel" | "target" | "type" | "referrerpolicy"> & {
        image: string;
        alt: string;
        title: string | Snippet<[]>;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type ItemProps = typeof __propDef.props;
export type ItemEvents = typeof __propDef.events;
export type ItemSlots = typeof __propDef.slots;
export default class Item extends SvelteComponent<ItemProps, ItemEvents, ItemSlots> {
}
export {};
