import { SvelteComponent } from "svelte";
import type { Snippet } from 'svelte';
import type { HTMLAttributes } from 'svelte/elements';
export type Props = HTMLAttributes<HTMLDivElement> & Omit<CreateDialogProps, 'open'> & {
    open: boolean;
    header?: string | Snippet;
    children?: Snippet;
    footer?: Snippet;
};
import { type CreateDialogProps } from '@melt-ui/svelte';
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type ModalProps = typeof __propDef.props;
export type ModalEvents = typeof __propDef.events;
export type ModalSlots = typeof __propDef.slots;
export default class Modal extends SvelteComponent<ModalProps, ModalEvents, ModalSlots> {
}
export {};
