import { SvelteComponent } from "svelte";
import { type CreateDropdownMenuProps } from '@melt-ui/svelte';
import { type Snippet } from 'svelte';
import type { HTMLButtonAttributes } from 'svelte/elements';
export type Props = HTMLButtonAttributes & Omit<CreateDropdownMenuProps, 'open' | 'portal' | 'arrowSize'> & {
    label: string | Snippet;
    open?: boolean;
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type DropdownProps = typeof __propDef.props;
export type DropdownEvents = typeof __propDef.events;
export type DropdownSlots = typeof __propDef.slots;
export default class Dropdown extends SvelteComponent<DropdownProps, DropdownEvents, DropdownSlots> {
}
export {};
