import { SvelteComponent } from "svelte";
import { type CreateDropdownSubmenuProps } from '@melt-ui/svelte';
import { type Snippet } from 'svelte';
import type { HTMLAttributes } from 'svelte/elements';
export type Props = HTMLAttributes<HTMLDivElement> & Omit<CreateDropdownSubmenuProps, 'open' | 'arrowSize'> & {
    selected?: boolean;
    label: string | Snippet;
    open?: boolean;
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type DropdownSubMenuProps = typeof __propDef.props;
export type DropdownSubMenuEvents = typeof __propDef.events;
export type DropdownSubMenuSlots = typeof __propDef.slots;
export default class DropdownSubMenu extends SvelteComponent<DropdownSubMenuProps, DropdownSubMenuEvents, DropdownSubMenuSlots> {
}
export {};
