import { SvelteComponent } from "svelte";
import type { Snippet } from 'svelte';
import type { HTMLAttributes } from 'svelte/elements';
export type Props = HTMLAttributes<HTMLElement> & {
    dark?: boolean;
    sliding?: boolean;
    sticky?: boolean;
    reduced?: boolean;
    secondary?: boolean;
    logo?: Snippet;
    search?: boolean;
    searchLabel?: string | Snippet;
    searchOpen?: boolean;
    menuEnd?: Snippet;
    menuOpen?: boolean;
    menuLabel?: string | Snippet;
    menuCloseLabel?: string | Snippet;
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type NavigationProps = typeof __propDef.props;
export type NavigationEvents = typeof __propDef.events;
export type NavigationSlots = typeof __propDef.slots;
export default class Navigation extends SvelteComponent<NavigationProps, NavigationEvents, NavigationSlots> {
}
export {};
