import { SvelteComponent } from "svelte";
import type { Snippet } from 'svelte';
import type { HTMLAnchorAttributes, HTMLAttributes } from 'svelte/elements';
export type Props = HTMLAttributes<HTMLElement> & {
    previous: string | Snippet<[]>;
    previousLabel?: string | Snippet<[]>;
    previousHref: HTMLAnchorAttributes['href'];
    previousTarget?: HTMLAnchorAttributes['target'];
    next: string | Snippet<[]>;
    nextLabel?: string | Snippet<[]>;
    nextHref: HTMLAnchorAttributes['href'];
    nextTarget?: HTMLAnchorAttributes['target'];
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type ArticlePaginationProps = typeof __propDef.props;
export type ArticlePaginationEvents = typeof __propDef.events;
export type ArticlePaginationSlots = typeof __propDef.slots;
export default class ArticlePagination extends SvelteComponent<ArticlePaginationProps, ArticlePaginationEvents, ArticlePaginationSlots> {
}
export {};
