import { SvelteComponent } from "svelte";
import { type CreatePaginationProps } from '@melt-ui/svelte';
import type { HTMLAttributes } from 'svelte/elements';
export type Props = HTMLAttributes<HTMLElement> & Omit<CreatePaginationProps, 'page'> & {
    label?: string;
    previousLabel?: string;
    nextLabel?: string;
    showLabels?: boolean;
    page?: number;
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type PaginationProps = typeof __propDef.props;
export type PaginationEvents = typeof __propDef.events;
export type PaginationSlots = typeof __propDef.slots;
export default class Pagination extends SvelteComponent<PaginationProps, PaginationEvents, PaginationSlots> {
}
export {};
