import { SvelteComponent } from "svelte";
import type { Snippet } from 'svelte';
import type { HTMLBlockquoteAttributes } from 'svelte/elements';
export type Props = HTMLBlockquoteAttributes & {
    citation: string | Snippet;
    children: Snippet;
    size?: 'small' | 'large';
    image?: string;
    imageAlt?: string;
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type QuoteProps = typeof __propDef.props;
export type QuoteEvents = typeof __propDef.events;
export type QuoteSlots = typeof __propDef.slots;
export default class Quote extends SvelteComponent<QuoteProps, QuoteEvents, QuoteSlots> {
}
export {};
