import { SvelteComponent } from "svelte";
import type { HTMLAttributes } from 'svelte/elements';
export type Props = HTMLAttributes<HTMLDivElement> & {
    color?: 'positive' | 'caution' | 'negative' | 'information';
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type StatusLabelProps = typeof __propDef.props;
export type StatusLabelEvents = typeof __propDef.events;
export type StatusLabelSlots = typeof __propDef.slots;
export default class StatusLabel extends SvelteComponent<StatusLabelProps, StatusLabelEvents, StatusLabelSlots> {
}
export {};
