import { SvelteComponent } from "svelte";
import type { HTMLTableAttributes } from 'svelte/elements';
import type { Snippet } from 'svelte';
export type Props<T> = HTMLTableAttributes & {
    data: T[];
    columns: ColumnDef<T, any>[];
    header?: Snippet<[{
        header: Header<T, unknown>;
    }]>;
};
import { type ColumnDef, type Header } from '@tanstack/table-core';
declare class __sveltets_Render<T> {
    props(): Props<T>;
    events(): {} & {
        [evt: string]: CustomEvent<any>;
    };
    slots(): {};
}
export type TableProps<T> = ReturnType<__sveltets_Render<T>['props']>;
export type TableEvents<T> = ReturnType<__sveltets_Render<T>['events']>;
export type TableSlots<T> = ReturnType<__sveltets_Render<T>['slots']>;
export default class Table<T> extends SvelteComponent<TableProps<T>, TableEvents<T>, TableSlots<T>> {
}
export {};
