import { SvelteComponent } from "svelte";
import { type CreateTabsProps } from '@melt-ui/svelte';
import { type Snippet } from 'svelte';
import type { HTMLAttributes } from 'svelte/elements';
export type Props = HTMLAttributes<HTMLDivElement> & Omit<CreateTabsProps, 'value'> & {
    tabs: Snippet;
    children: Snippet;
    openKey?: string;
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type TabsProps = typeof __propDef.props;
export type TabsEvents = typeof __propDef.events;
export type TabsSlots = typeof __propDef.slots;
export default class Tabs extends SvelteComponent<TabsProps, TabsEvents, TabsSlots> {
}
export {};
