import { SvelteComponent } from "svelte";
import { type CreateTreeViewProps } from '@melt-ui/svelte';
import type { HTMLAttributes } from 'svelte/elements';
import type { TreeItem } from './types.js';
export type Props = Omit<HTMLAttributes<HTMLUListElement>, 'children'> & Omit<CreateTreeViewProps, 'expanded'> & {
    items: TreeItem[];
    expanded?: string[];
    children?: Snippet<[TreeItem]>;
};
import { type Snippet } from 'svelte';
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type TreeProps = typeof __propDef.props;
export type TreeEvents = typeof __propDef.events;
export type TreeSlots = typeof __propDef.slots;
export default class Tree extends SvelteComponent<TreeProps, TreeEvents, TreeSlots> {
}
export {};
