import { SvelteComponent } from "svelte";
import type { HTMLAttributes } from 'svelte/elements';
import { type Snippet } from 'svelte';
export type Props = HTMLAttributes<HTMLLIElement> & {
    disabled?: boolean;
    heading?: string | Snippet;
    headElement?: 'div' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
    hasTick?: boolean;
    children?: Snippet;
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type ItemProps = typeof __propDef.props;
export type ItemEvents = typeof __propDef.events;
export type ItemSlots = typeof __propDef.slots;
export default class Item extends SvelteComponent<ItemProps, ItemEvents, ItemSlots> {
}
export {};
