import { SvelteComponent } from "svelte";
import type { Snippet } from 'svelte';
import type { HTMLButtonAttributes } from 'svelte/elements';
export type Props = HTMLButtonAttributes & {
    lead?: Snippet | string;
    color?: 'positive' | 'caution' | 'negative' | 'information';
    dismiss?: boolean;
    dismissLabel?: string;
    ondismiss?: HTMLButtonAttributes['onclick'];
    dense?: boolean;
    inline?: boolean;
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type ChipProps = typeof __propDef.props;
export type ChipEvents = typeof __propDef.events;
export type ChipSlots = typeof __propDef.slots;
export default class Chip extends SvelteComponent<ChipProps, ChipEvents, ChipSlots> {
}
export {};
