import { SvelteComponent } from "svelte";
import { type CreateContextMenuCheckboxItemProps } from '@melt-ui/svelte';
import { type Snippet } from 'svelte';
import type { HTMLButtonAttributes } from 'svelte/elements';
export type Props = HTMLButtonAttributes & Omit<CreateContextMenuCheckboxItemProps, 'checked'> & {
    checked?: boolean | 'indeterminate';
    checkIcon?: IconName | Snippet;
    uncheckIcon?: IconName | Snippet;
};
import type { IconName } from '../Icon/Icon.svelte';
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type CheckboxItemProps = typeof __propDef.props;
export type CheckboxItemEvents = typeof __propDef.events;
export type CheckboxItemSlots = typeof __propDef.slots;
export default class CheckboxItem extends SvelteComponent<CheckboxItemProps, CheckboxItemEvents, CheckboxItemSlots> {
}
export {};
