import { SvelteComponent } from "svelte";
import { type CreateContextMenuProps } from '@melt-ui/svelte';
import { type Snippet } from 'svelte';
import type { HTMLAttributes } from 'svelte/elements';
export type Props = HTMLAttributes<HTMLSpanElement> & Omit<CreateContextMenuProps, 'arrowSize' | 'open'> & {
    position?: 'left' | 'center';
    trigger: string | Snippet;
    open?: boolean;
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type ContextMenuProps = typeof __propDef.props;
export type ContextMenuEvents = typeof __propDef.events;
export type ContextMenuSlots = typeof __propDef.slots;
export default class ContextMenu extends SvelteComponent<ContextMenuProps, ContextMenuEvents, ContextMenuSlots> {
}
export {};
