import { SvelteComponent } from "svelte";
import { type CreateContextMenuRadioGroupProps } from '@melt-ui/svelte';
import type { HTMLAttributes } from 'svelte/elements';
export type Props = HTMLAttributes<HTMLSpanElement> & Omit<CreateContextMenuRadioGroupProps, 'value'> & {
    value?: string | null;
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type RadioGroupProps = typeof __propDef.props;
export type RadioGroupEvents = typeof __propDef.events;
export type RadioGroupSlots = typeof __propDef.slots;
export default class RadioGroup extends SvelteComponent<RadioGroupProps, RadioGroupEvents, RadioGroupSlots> {
}
export {};
