import { SvelteComponent } from "svelte";
import { type Snippet } from 'svelte';
import type { HTMLButtonAttributes } from 'svelte/elements';
export type Props = HTMLButtonAttributes & {
    value: string;
    checkIcon?: IconName | Snippet;
    uncheckIcon?: IconName | Snippet;
};
import type { IconName } from '../Icon/Icon.svelte';
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type RadioItemProps = typeof __propDef.props;
export type RadioItemEvents = typeof __propDef.events;
export type RadioItemSlots = typeof __propDef.slots;
export default class RadioItem extends SvelteComponent<RadioItemProps, RadioItemEvents, RadioItemSlots> {
}
export {};
