import { SvelteComponent } from "svelte";
import type { HTMLFormAttributes } from 'svelte/elements';
import type { Snippet } from 'svelte';
export type Props = HTMLFormAttributes & {
    children?: Snippet;
    type?: 'inline' | 'stacked';
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type FormProps = typeof __propDef.props;
export type FormEvents = typeof __propDef.events;
export type FormSlots = typeof __propDef.slots;
export default class Form extends SvelteComponent<FormProps, FormEvents, FormSlots> {
}
export {};
