import { SvelteComponent } from "svelte";
import type { HTMLAttributes, HTMLInputAttributes } from 'svelte/elements';
export type Props = BaseFormGroupProps<HTMLAttributes<HTMLDivElement> & Omit<CreatePinInputProps, 'value'> & {
    groupClass?: string;
    length?: number;
    inputmode?: HTMLInputAttributes['inputmode'];
    value?: string[];
}>;
import { type CreatePinInputProps } from '@melt-ui/svelte';
import type { BaseFormGroupProps } from './FormGroup.svelte';
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type PinInputProps = typeof __propDef.props;
export type PinInputEvents = typeof __propDef.events;
export type PinInputSlots = typeof __propDef.slots;
export default class PinInput extends SvelteComponent<PinInputProps, PinInputEvents, PinInputSlots> {
}
export {};
