import { SvelteComponent } from "svelte";
import type { HTMLSelectAttributes } from 'svelte/elements';
import type { BaseFormGroupProps } from './FormGroup.svelte';
export type Props = BaseFormGroupProps<HTMLSelectAttributes & {
    groupClass?: string;
    dense?: boolean;
}>;
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type SelectProps = typeof __propDef.props;
export type SelectEvents = typeof __propDef.events;
export type SelectSlots = typeof __propDef.slots;
export default class Select extends SvelteComponent<SelectProps, SelectEvents, SelectSlots> {
}
export {};
