import { SvelteComponent } from "svelte";
import type { HTMLInputAttributes } from 'svelte/elements';
import type { BaseFormGroupProps } from './FormGroup.svelte.js';
export type Props = BaseFormGroupProps<Omit<HTMLInputAttributes, 'type' | 'value' | 'required'> & Omit<CreateTagsInputProps, 'tags'> & {
    groupClass?: string;
    dense?: boolean;
    tags?: Tag[];
}>;
import { type CreateTagsInputProps, type Tag } from '@melt-ui/svelte';
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type TagsInputProps = typeof __propDef.props;
export type TagsInputEvents = typeof __propDef.events;
export type TagsInputSlots = typeof __propDef.slots;
export default class TagsInput extends SvelteComponent<TagsInputProps, TagsInputEvents, TagsInputSlots> {
}
export {};
