import { SvelteComponent } from "svelte";
import type { HTMLAnchorAttributes, HTMLImgAttributes } from 'svelte/elements';
export type Props = HTMLAnchorAttributes & {
    src: HTMLImgAttributes['src'];
    alt: HTMLImgAttributes['alt'];
    title?: string;
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type LogoProps = typeof __propDef.props;
export type LogoEvents = typeof __propDef.events;
export type LogoSlots = typeof __propDef.slots;
export default class Logo extends SvelteComponent<LogoProps, LogoEvents, LogoSlots> {
}
export {};
