import { SvelteComponent } from "svelte";
import type { HTMLFormAttributes, HTMLInputAttributes } from 'svelte/elements';
export type Props = HTMLFormAttributes & {
    searchLabel?: string;
    closeLabel?: string;
    placeholder?: string;
    autocomplete?: HTMLInputAttributes['autocomplete'];
    value?: string;
    onchange?: HTMLInputAttributes['onchange'];
    onblur?: HTMLInputAttributes['onblur'];
};
declare const __propDef: {
    props: Props;
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type SearchBoxProps = typeof __propDef.props;
export type SearchBoxEvents = typeof __propDef.events;
export type SearchBoxSlots = typeof __propDef.slots;
export default class SearchBox extends SvelteComponent<SearchBoxProps, SearchBoxEvents, SearchBoxSlots> {
}
export {};
